Package com.ocient.jdbc.proto

# Class ClientWireProtocol.ClientConnectionGCM2.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderType>
com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnectionGCM2.Builder>
com.ocient.jdbc.proto.ClientWireProtocol.ClientConnectionGCM2.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ClientWireProtocol.ClientConnectionGCM2OrBuilder`, `Cloneable`

Enclosing class:
  ClientWireProtocol.ClientConnectionGCM2

    public static final class ClientWireProtocol.ClientConnectionGCM2.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnectionGCM2.Builder>
    implements ClientWireProtocol.ClientConnectionGCM2OrBuilder

Protobuf type `xg.cmdcomp.ClientConnectionGCM2`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`ClientWireProtocol.ClientConnectionGCM2.Builder` | `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`ClientWireProtocol.ClientConnectionGCM2` | `build()` |
`ClientWireProtocol.ClientConnectionGCM2` | `buildPartial()` |
`ClientWireProtocol.ClientConnectionGCM2.Builder` | `clear()` |
`ClientWireProtocol.ClientConnectionGCM2.Builder` | `clearCipher()` | `bytes cipher = 1;`
`ClientWireProtocol.ClientConnectionGCM2.Builder` | `clearExplicitSSO()` | `bool explicitSSO = 5;`
`ClientWireProtocol.ClientConnectionGCM2.Builder` | `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)` |
`ClientWireProtocol.ClientConnectionGCM2.Builder` | `clearForce()` | Force = true means not allowed to redirect the connection
`ClientWireProtocol.ClientConnectionGCM2.Builder` | `clearHmac()` | `bytes hmac = 3;`
`ClientWireProtocol.ClientConnectionGCM2.Builder` | `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)` |
`ClientWireProtocol.ClientConnectionGCM2.Builder` | `clearPubKey()` | `string pubKey = 4;`
`ClientWireProtocol.ClientConnectionGCM2.Builder` | `clone()` |
`com.google.protobuf.ByteString` | `getCipher()` | `bytes cipher = 1;`
`ClientWireProtocol.ClientConnectionGCM2` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
`boolean` | `getExplicitSSO()` | `bool explicitSSO = 5;`
`boolean` | `getForce()` | Force = true means not allowed to redirect the connection
`com.google.protobuf.ByteString` | `getHmac()` | `bytes hmac = 3;`
`String` | `getPubKey()` | `string pubKey = 4;`
`com.google.protobuf.ByteString` | `getPubKeyBytes()` | `string pubKey = 4;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`boolean` | `isInitialized()` |
`ClientWireProtocol.ClientConnectionGCM2.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`ClientWireProtocol.ClientConnectionGCM2.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
`ClientWireProtocol.ClientConnectionGCM2.Builder` | `mergeFrom​(ClientWireProtocol.ClientConnectionGCM2 other)` |
`ClientWireProtocol.ClientConnectionGCM2.Builder` | `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
`ClientWireProtocol.ClientConnectionGCM2.Builder` | `setCipher​(com.google.protobuf.ByteString value)` | `bytes cipher = 1;`
`ClientWireProtocol.ClientConnectionGCM2.Builder` | `setExplicitSSO​(boolean value)` | `bool explicitSSO = 5;`
`ClientWireProtocol.ClientConnectionGCM2.Builder` | `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`ClientWireProtocol.ClientConnectionGCM2.Builder` | `setForce​(boolean value)` | Force = true means not allowed to redirect the connection
`ClientWireProtocol.ClientConnectionGCM2.Builder` | `setHmac​(com.google.protobuf.ByteString value)` | `bytes hmac = 3;`
`ClientWireProtocol.ClientConnectionGCM2.Builder` | `setPubKey​(String value)` | `string pubKey = 4;`
`ClientWireProtocol.ClientConnectionGCM2.Builder` | `setPubKeyBytes​(com.google.protobuf.ByteString value)` | `string pubKey = 4;`
`ClientWireProtocol.ClientConnectionGCM2.Builder` | `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)` |
`ClientWireProtocol.ClientConnectionGCM2.Builder` | `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnectionGCM2.Builder>`

### clear

public ClientWireProtocol.ClientConnectionGCM2.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnectionGCM2.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnectionGCM2.Builder>`

### getDefaultInstanceForType

public ClientWireProtocol.ClientConnectionGCM2 getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public ClientWireProtocol.ClientConnectionGCM2 build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public ClientWireProtocol.ClientConnectionGCM2 buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public ClientWireProtocol.ClientConnectionGCM2.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnectionGCM2.Builder>`

### setField

public ClientWireProtocol.ClientConnectionGCM2.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnectionGCM2.Builder>`

### clearField

public ClientWireProtocol.ClientConnectionGCM2.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnectionGCM2.Builder>`

### clearOneof

public ClientWireProtocol.ClientConnectionGCM2.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnectionGCM2.Builder>`

### setRepeatedField

public ClientWireProtocol.ClientConnectionGCM2.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnectionGCM2.Builder>`

### addRepeatedField

public ClientWireProtocol.ClientConnectionGCM2.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnectionGCM2.Builder>`

### mergeFrom

public ClientWireProtocol.ClientConnectionGCM2.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.ClientConnectionGCM2.Builder>`

### mergeFrom

public ClientWireProtocol.ClientConnectionGCM2.Builder mergeFrom​(ClientWireProtocol.ClientConnectionGCM2 other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnectionGCM2.Builder>`

### mergeFrom

public ClientWireProtocol.ClientConnectionGCM2.Builder mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.ClientConnectionGCM2.Builder>`
Throws:
  `IOException`

### getCipher

public com.google.protobuf.ByteString getCipher()
`bytes cipher = 1;`

Specified by:
  `getCipher` in interface `ClientWireProtocol.ClientConnectionGCM2OrBuilder`
Returns:
  The cipher.

### setCipher

public ClientWireProtocol.ClientConnectionGCM2.Builder setCipher​(com.google.protobuf.ByteString value)
`bytes cipher = 1;`

Parameters:
  `value` - The cipher to set.
Returns:
  This builder for chaining.

### clearCipher

public ClientWireProtocol.ClientConnectionGCM2.Builder clearCipher()
`bytes cipher = 1;`

Returns:
  This builder for chaining.

### getForce

public boolean getForce()

    Force = true means not allowed to redirect the connection

`bool force = 2;`

Specified by:
  `getForce` in interface `ClientWireProtocol.ClientConnectionGCM2OrBuilder`
Returns:
  The force.

### setForce

public ClientWireProtocol.ClientConnectionGCM2.Builder setForce​(boolean value)

    Force = true means not allowed to redirect the connection

`bool force = 2;`

Parameters:
  `value` - The force to set.
Returns:
  This builder for chaining.

### clearForce

public ClientWireProtocol.ClientConnectionGCM2.Builder clearForce()

    Force = true means not allowed to redirect the connection

`bool force = 2;`

Returns:
  This builder for chaining.

### getHmac

public com.google.protobuf.ByteString getHmac()
`bytes hmac = 3;`

Specified by:
  `getHmac` in interface `ClientWireProtocol.ClientConnectionGCM2OrBuilder`
Returns:
  The hmac.

### setHmac

public ClientWireProtocol.ClientConnectionGCM2.Builder setHmac​(com.google.protobuf.ByteString value)
`bytes hmac = 3;`

Parameters:
  `value` - The hmac to set.
Returns:
  This builder for chaining.

### clearHmac

public ClientWireProtocol.ClientConnectionGCM2.Builder clearHmac()
`bytes hmac = 3;`

Returns:
  This builder for chaining.

### getPubKey

public String getPubKey()
`string pubKey = 4;`

Specified by:
  `getPubKey` in interface `ClientWireProtocol.ClientConnectionGCM2OrBuilder`
Returns:
  The pubKey.

### getPubKeyBytes

public com.google.protobuf.ByteString getPubKeyBytes()
`string pubKey = 4;`

Specified by:
  `getPubKeyBytes` in interface `ClientWireProtocol.ClientConnectionGCM2OrBuilder`
Returns:
  The bytes for pubKey.

### setPubKey

public ClientWireProtocol.ClientConnectionGCM2.Builder setPubKey​(String value)
`string pubKey = 4;`

Parameters:
  `value` - The pubKey to set.
Returns:
  This builder for chaining.

### clearPubKey

public ClientWireProtocol.ClientConnectionGCM2.Builder clearPubKey()
`string pubKey = 4;`

Returns:
  This builder for chaining.

### setPubKeyBytes

public ClientWireProtocol.ClientConnectionGCM2.Builder setPubKeyBytes​(com.google.protobuf.ByteString value)
`string pubKey = 4;`

Parameters:
  `value` - The bytes for pubKey to set.
Returns:
  This builder for chaining.

### getExplicitSSO

public boolean getExplicitSSO()
`bool explicitSSO = 5;`

Specified by:
  `getExplicitSSO` in interface `ClientWireProtocol.ClientConnectionGCM2OrBuilder`
Returns:
  The explicitSSO.

### setExplicitSSO

public ClientWireProtocol.ClientConnectionGCM2.Builder setExplicitSSO​(boolean value)
`bool explicitSSO = 5;`

Parameters:
  `value` - The explicitSSO to set.
Returns:
  This builder for chaining.

### clearExplicitSSO

public ClientWireProtocol.ClientConnectionGCM2.Builder clearExplicitSSO()
`bool explicitSSO = 5;`

Returns:
  This builder for chaining.

### setUnknownFields

public final ClientWireProtocol.ClientConnectionGCM2.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnectionGCM2.Builder>`

### mergeUnknownFields

public final ClientWireProtocol.ClientConnectionGCM2.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnectionGCM2.Builder>`